.logo-container {
  place-self: center;
}

.logo {
  height: 116px;
  width: 390px;
  filter: invert(1);
  margin: 0 auto;
}
.logomain {
  height: 86px;
  width: 86px;
}

.form-group {
  position: relative;
  margin-bottom: 45px;
}
.custom-control {
  font-size: 15px;

  font-weight: 400;
  padding: 10px 10px 10px 5px;
  display: block;
  width: 100%;
  color: rgba(32, 35, 66, 1);
  height: 50px;
  border: none;
  border-radius: 0;
  background: transparent;
  border-bottom: 1px solid rgba(32, 35, 66, 0.25);
  box-shadow: none;
  appearance: none;
}
textarea.custom-control {
  height: 140px;
}
.custom-control:focus {
  outline: none;
  box-shadow: none;
  background: transparent;
  /* color: #3f6ad8; */
  /* border-bottom: 2px solid #3f6ad8; */
}
.label {
  color: #696b80;
  font-size: 15px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: 10px;
  font-weight: 400;
  transition: 0.2s ease all;
}
.labeldate {
  color: #696b80;
  font-size: 15px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: -20px;
  font-weight: 400;
  transition: 0.2s ease all;
}
.labeldropdown {
  color: #696b80;
  font-size: 15px;
  font-weight: normal;
  position: absolute;
  pointer-events: none;
  left: 5px;
  top: -20px;
  font-weight: 400;
  transition: 0.2s ease all;
}

.custom-control:focus ~ .label,
.custom-control:not([value=""]) ~ .label {
  top: -20px;
  font-size: 14px;
}
.custom-control:focus ~ .bar {
  width: 100%;
}

/* active state */
.has-value .label {
  top: -20px;
  font-size: 14px;
  color: #3f6ad8;
}
.bar {
  position: relative;
  display: block;
  width: 100%;
}
.bar:before,
.bar:after {
  content: "";
  height: 2px;
  width: 0;
  bottom: 1px;
  position: absolute;
  background: #3f6ad8;
  transition: 0.2s ease all;
  -moz-transition: 0.2s ease all;
  -webkit-transition: 0.2s ease all;
}
.bar:before {
  left: 50%;
}
.bar:after {
  right: 50%;
}
/* active state */
.has-value .bar:before,
.has-value .bar:after {
  width: 50%;
}

.select-dropdown{
  font-size: 15px;
    font-weight: 400;
    padding: 10px 10px 10px 5px;
    display: block;
    width: 100%;
    color: rgba(32, 35, 66, 1);
    height: 50px;
    border: none;
    border-radius: 0;
    background: transparent;
    border-bottom: 1px solid rgba(32, 35, 66, 0.25);
    box-shadow: none;
    appearance: none;
}

.statusdropdown{
    border: 1px solid #ced4da !important;

}
.popover, .dropdown-menu {
  transform: translate3d(-244px, 60px, 0px) !important;

}


.rightside-login{
    background: black   ;
    border-right: 0.5px solid rgba(255, 235, 205, 0.473);
}
.login-heading{
    text-align: center;
    font-size: 30px;
    color: #fff;
}
.login-heading span{
    font-weight: bold;
}
.d-mobile{
    display: none;
}
.dashboard_image{
  line-height: 28px;
}
.dashboard_image img{
  height: 100px;
  width: 100%;
  object-fit: cover;
}

.add-employee-container{
  width: 1168px;
    height: 100%;
    right: -1168px;
    top: 4rem;
}

/* profile image */
.profile-pic-wrapper {
  /* height: 100vh; */
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.pic-holder {
  text-align: center;
  position: relative;
  /* border-radius: 50%; */
  width: 250px;
  height: 250px;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 20px;
}

.pic-holder .pic {
  height: 100%;
  width: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center;
  object-position: center;
}

.pic-holder .upload-file-block,
.pic-holder .upload-loader {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: rgba(90, 92, 105, 0.7);
  color: #f8f9fc;
  font-size: 12px;
  font-weight: 600;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 0.2s;
}

.pic-holder .upload-file-block {
  cursor: pointer;
}
.uploadProfileInput {
  width: 0px;
  height: 0px;
  position: absolute;
}
.pic-holder:hover .upload-file-block,
.uploadProfileInput:focus ~ .upload-file-block {
  opacity: 1;
}

.pic-holder.uploadInProgress .upload-file-block {
  display: none;
}

.pic-holder.uploadInProgress .upload-loader {
  opacity: 1;
}

/* Snackbar css */
.snackbar {
  visibility: hidden;
  min-width: 250px;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 50%;
  bottom: 30px;
  font-size: 14px;
  transform: translateX(-50%);
}

.snackbar.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}


#loader {
position: fixed;
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: rgb(255, 255, 255);
z-index: 9999;
display: flex;
justify-content: center;
align-items: center;
}
#loader .spinner-border {
width: 4rem;
height: 4rem;
color: #4c1f7a; /* Updated color */
}
#loader-text {
margin-top: 20px;
font-size: 1.25rem;
color: #4c1f7a; /* Updated text color */
text-align: center;
}

  /* Full-screen loader styles */
  #fullScreenLoader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #5161ce;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
  }

  .loader-bar {
    width: 50px;
    height: 10px;
    background-color: #ffffff;
    margin: 5px 0;
    animation: pulse 1s infinite;
  }

  .loader-bar:nth-child(2) {
    animation-delay: 0.2s;
  }

  .loader-bar:nth-child(3) {
    animation-delay: 0.4s;
  }

  @keyframes pulse {
    0%, 100% {
      opacity: 0.5;
    }
    50% {
      opacity: 1;
    }
  }

  /* Main content styles */
  #mainContent {
    display: none; /* Initially hidden */
   
  }
  .border{
    border: 1px solid #ced4da !important;
  }

  .selectprdropdown .select2-container--bootstrap4 .select2-selection {
    background-color: #fff;
    /* border: 1px solid #ced4da; */
    border-radius: .25rem;
    color: #495057;
    font-size: .88rem;
    outline: 0;
}
.sub-table {
  display: none;
}